List notification rules for a user. Rules define how and when a user is notified for on-call pages. Only includes high_urgency and low_urgency rules; shift_changes rules are not returned.
GET
/
v2
/
users
/
{user_id}
/
notification_rules
List
curl --request GET \
--url https://api.incident.io/v2/users/{user_id}/notification_rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.incident.io/v2/users/{user_id}/notification_rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.incident.io/v2/users/{user_id}/notification_rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"notification_rules": [
{
"app": {
"push_notification_criticality": "critical"
},
"delay_seconds": 0,
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"method_target": {
"all": {},
"specific": {
"id": "01FCNDV6P870EA6S7TK1DSYDG0"
},
"type": "specific"
},
"method_type": "app",
"phone": {
"channel": "voice"
},
"rule_type": "low_urgency"
}
]
}Authorizations
API key from your incident.io dashboard (Settings → API keys)
Path Parameters
The ID of the user whose notification rules you want to list.
Example:
"01FCNDV6P870EA6S7TK1DSYDG0"
Response
200 - application/json
OK response.
Show child attributes
Show child attributes
Example:
[
{
"app": {
"push_notification_criticality": "critical"
},
"delay_seconds": 0,
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"method_target": {
"all": {},
"specific": { "id": "01FCNDV6P870EA6S7TK1DSYDG0" },
"type": "specific"
},
"method_type": "app",
"phone": { "channel": "voice" },
"rule_type": "low_urgency"
}
]
Was this page helpful?
⌘I
List
